-- ------------------------------------------------------
-- Database: dim_00 | dim_STAT db schema template..
-- ------------------------------------------------------

--
-- Table `Attr_LINK`
--

DROP TABLE IF EXISTS Attr_LINK;
CREATE TABLE Attr_LINK (
  Note_ID int NOT NULL,
  Attr_ID int NOT NULL,
  KEY Attr_LINK_IDX (Attr_ID,Note_ID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `Attr_LIST`
--

DROP TABLE IF EXISTS Attr_LIST;
CREATE TABLE Attr_LIST (
  ID int NOT NULL AUTO_INCREMENT,
  Type_ID int NOT NULL,
  `Name` varchar(60) NOT NULL,
  PRIMARY KEY (ID)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Data `Attr_LIST`
--

INSERT INTO Attr_LIST VALUES (1,1,'Personal');
INSERT INTO Attr_LIST VALUES (2,1,'WCB Only');
INSERT INTO Attr_LIST VALUES (3,1,'Sun Internal Only');
INSERT INTO Attr_LIST VALUES (4,1,'Customer');
INSERT INTO Attr_LIST VALUES (5,2,'English');
INSERT INTO Attr_LIST VALUES (6,2,'French');

--
-- Table `Attr_TYPE`
--

DROP TABLE IF EXISTS Attr_TYPE;
CREATE TABLE Attr_TYPE (
  ID int NOT NULL AUTO_INCREMENT,
  `Name` varchar(60) NOT NULL,
  Multi int NOT NULL,
  PRIMARY KEY (ID)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Data `Attr_TYPE`
--

INSERT INTO Attr_TYPE VALUES (1,'Confidential Level',1);
INSERT INTO Attr_TYPE VALUES (2,'Language',1);

--
-- Table `Hosts`
--

DROP TABLE IF EXISTS Hosts;
CREATE TABLE `Hosts` (
  ID int NOT NULL,
  `Hosts` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `Hosts`
--

INSERT INTO Hosts VALUES (1,'sun/localhost:5000');

--
-- Table `Report`
--

DROP TABLE IF EXISTS Report;
CREATE TABLE Report (
  ID int NOT NULL,
  dt_created int NOT NULL,
  dt_modified int NOT NULL,
  `Owner` varchar(60) NOT NULL,
  Title varchar(100) NOT NULL,
  Comments text NOT NULL,
  state int NOT NULL,
  UNIQUE KEY Report_IDX (ID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `Report_DATA`
--

DROP TABLE IF EXISTS Report_DATA;
CREATE TABLE Report_DATA (
  ID int NOT NULL AUTO_INCREMENT,
  `Name` varchar(60) NOT NULL,
  Driver varchar(40) NOT NULL,
  Icone varchar(40) NOT NULL,
  PRIMARY KEY (ID)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Data `Report_DATA`
--

INSERT INTO Report_DATA VALUES (1,'Text','TEXT','txt.gif');
INSERT INTO Report_DATA VALUES (2,'Image','IMG','img.gif');
INSERT INTO Report_DATA VALUES (3,'HTML','HTML','html.gif');
INSERT INTO Report_DATA VALUES (4,'Binary File','BIN','bin.gif');
INSERT INTO Report_DATA VALUES (5,'dim_STAT-Collect','dimSTAT','dimSTAT.gif');
INSERT INTO Report_DATA VALUES (6,'dim_STAT-Snapshot','dimSNAP','dimSNAP.gif');
INSERT INTO Report_DATA VALUES (7,'SysINFO','SysINFO','SysINFO.gif');
INSERT INTO Report_DATA VALUES (8,'HTML.tar.Z Archive','HTAR','HTMLtarZ.gif');

--
-- Table `Report_NOTE`
--

DROP TABLE IF EXISTS Report_NOTE;
CREATE TABLE Report_NOTE (
  ID int NOT NULL AUTO_INCREMENT,
  Report_ID int NOT NULL,
  Parent_ID int NOT NULL,
  Order_NO int NOT NULL,
  Title varchar(80) NOT NULL,
  Info varchar(60) NOT NULL,
  Note text NOT NULL,
  filename varchar(100) NOT NULL,
  datatype int NOT NULL,
  inline int NOT NULL,
  autofmt int NOT NULL,
  PRIMARY KEY (ID),
  KEY Report_NOTE_IDX (Report_ID,Parent_ID,Order_NO)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `TabX`
--

DROP TABLE IF EXISTS TabX;
CREATE TABLE TabX (
  tabname varchar(40) NOT NULL,
  colno int NOT NULL,
  colname varchar(40) NOT NULL,
  `type` varchar(2) NOT NULL,
  fullname varchar(40) NOT NULL,
  note varchar(40) NOT NULL,
  UNIQUE KEY TabX_colno_idx (tabname,colno),
  UNIQUE KEY TabX_colname_idx (tabname,colname)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `TabX`
--

INSERT INTO TabX VALUES ('dim_IOSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_IOSTAT',2,'sno','S','Sno#','');
INSERT INTO TabX VALUES ('dim_IOSTAT',3,'disk','AS','DISK','');
INSERT INTO TabX VALUES ('dim_IOSTAT',4,'rs','V','Read/s','');
INSERT INTO TabX VALUES ('dim_IOSTAT',5,'krs','V','Read Kb/s','');
INSERT INTO TabX VALUES ('dim_IOSTAT',6,'ws','V','Write/s','');
INSERT INTO TabX VALUES ('dim_IOSTAT',7,'kws','V','Write Kb/s','');
INSERT INTO TabX VALUES ('dim_IOSTAT',8,'wait','V','Wait','');
INSERT INTO TabX VALUES ('dim_IOSTAT',9,'actv','V','Actv','');
INSERT INTO TabX VALUES ('dim_IOSTAT',10,'svc_t','V','Service time','');
INSERT INTO TabX VALUES ('dim_IOSTAT',11,'w','V','%Wait','');
INSERT INTO TabX VALUES ('dim_IOSTAT',12,'b','V','%Busy','');
INSERT INTO TabX VALUES ('dim_MPSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_MPSTAT',2,'sno','S','Sno#','');
INSERT INTO TabX VALUES ('dim_MPSTAT',3,'cpu','AD','CPU','');
INSERT INTO TabX VALUES ('dim_MPSTAT',4,'min_fault','V','Min.Fault','');
INSERT INTO TabX VALUES ('dim_MPSTAT',5,'maj_fault','V','Maj.Fault','');
INSERT INTO TabX VALUES ('dim_MPSTAT',6,'xcal','V','Cross-Calls','');
INSERT INTO TabX VALUES ('dim_MPSTAT',7,'intr','V','Interrupts','');
INSERT INTO TabX VALUES ('dim_MPSTAT',8,'ithr','V','Interrupts-as-threads','');
INSERT INTO TabX VALUES ('dim_MPSTAT',9,'csw','V','Cont.Switchs','');
INSERT INTO TabX VALUES ('dim_MPSTAT',10,'icsw','V','Inv.Cont.Switchs','');
INSERT INTO TabX VALUES ('dim_MPSTAT',11,'migr','V','Thrd.Migrations','');
INSERT INTO TabX VALUES ('dim_MPSTAT',12,'spin_mtx','V','Spin.Mutex','');
INSERT INTO TabX VALUES ('dim_MPSTAT',13,'spin_rw','V','Spin.R/W','');
INSERT INTO TabX VALUES ('dim_MPSTAT',14,'sys_calls','V','Sys.Calls','');
INSERT INTO TabX VALUES ('dim_MPSTAT',15,'usr','V','Usr%','');
INSERT INTO TabX VALUES ('dim_MPSTAT',16,'sys','V','Sys%','');
INSERT INTO TabX VALUES ('dim_MPSTAT',17,'wait','V','Wait I/O%','');
INSERT INTO TabX VALUES ('dim_MPSTAT',18,'idle','V','Idle%','');
INSERT INTO TabX VALUES ('dim_VMSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_VMSTAT',2,'sno','S','Sno#','');
INSERT INTO TabX VALUES ('dim_VMSTAT',3,'r','V','Run Queue','');
INSERT INTO TabX VALUES ('dim_VMSTAT',4,'b','V','Blocked','');
INSERT INTO TabX VALUES ('dim_VMSTAT',5,'w','V','Swapped','');
INSERT INTO TabX VALUES ('dim_VMSTAT',6,'swap','V','Swap Free (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',7,'free','V','MemFree List (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',8,'re','V','Page Reclaims','');
INSERT INTO TabX VALUES ('dim_VMSTAT',9,'mf','V','Minor Faults','');
INSERT INTO TabX VALUES ('dim_VMSTAT',10,'pin','V','PageIn (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',11,'pout','V','PageOut (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',12,'fr','V','Freed (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',13,'de','V','MemShortFall (Kb)','');
INSERT INTO TabX VALUES ('dim_VMSTAT',14,'sr','V','PgScan Rate','');
INSERT INTO TabX VALUES ('dim_VMSTAT',15,'intr','V','Dev Interrupts','');
INSERT INTO TabX VALUES ('dim_VMSTAT',16,'sy','V','Sys Calls','');
INSERT INTO TabX VALUES ('dim_VMSTAT',17,'cs','V','Context Switchs','');
INSERT INTO TabX VALUES ('dim_VMSTAT',18,'usr','V','CPU Usr%','');
INSERT INTO TabX VALUES ('dim_VMSTAT',19,'sys','V','CPU Sys%','');
INSERT INTO TabX VALUES ('dim_VMSTAT',20,'idle','V','CPU Idle%','');
INSERT INTO TabX VALUES ('dim_VXSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_VXSTAT',2,'sno','S','#Sno','');
INSERT INTO TabX VALUES ('dim_VXSTAT',3,'vol','AS','Volume','');
INSERT INTO TabX VALUES ('dim_VXSTAT',4,'r_op','V','Read Op/sec','');
INSERT INTO TabX VALUES ('dim_VXSTAT',5,'w_op','V','Write Op/sec','');
INSERT INTO TabX VALUES ('dim_VXSTAT',6,'r_blk','V','Read Blk/sec','');
INSERT INTO TabX VALUES ('dim_VXSTAT',7,'w_blk','V','Write Blk/sec','');
INSERT INTO TabX VALUES ('dim_VXSTAT',8,'r_avg','V','Read Avg(ms)','');
INSERT INTO TabX VALUES ('dim_VXSTAT',9,'w_avg','V','Write Avg(ms)','');
INSERT INTO TabX VALUES ('dim_NETSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_NETSTAT',2,'sno','S','Sno#','');
INSERT INTO TabX VALUES ('dim_NETSTAT',3,'in_pack','V','In.Packets/sec','');
INSERT INTO TabX VALUES ('dim_NETSTAT',4,'in_err','V','In.Errors/sec','');
INSERT INTO TabX VALUES ('dim_NETSTAT',5,'out_pack','V','Out.Packets/sec','');
INSERT INTO TabX VALUES ('dim_NETSTAT',6,'out_err','V','Out.Errors/sec','');
INSERT INTO TabX VALUES ('dim_NETSTAT',7,'colls','V','Collisions/sec','');
INSERT INTO TabX VALUES ('dim_psSTAT',1,'id','AD','ID','');
INSERT INTO TabX VALUES ('dim_psSTAT',2,'sno','S','Sno#','');
INSERT INTO TabX VALUES ('dim_psSTAT',3,'puser','AS','User','');
INSERT INTO TabX VALUES ('dim_psSTAT',4,'fname','AS','File Name','');
INSERT INTO TabX VALUES ('dim_psSTAT',5,'pname','AS','Process Name','');
INSERT INTO TabX VALUES ('dim_psSTAT',6,'pid','V','PID','');
INSERT INTO TabX VALUES ('dim_psSTAT',7,'ppid','V','PPID','');
INSERT INTO TabX VALUES ('dim_psSTAT',8,'pcpu','V','CPU%','');
INSERT INTO TabX VALUES ('dim_psSTAT',9,'pmem','V','MEM%','');
INSERT INTO TabX VALUES ('dim_psSTAT',10,'time','V','Total-CPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',11,'usrtime','V','Usr-CPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',12,'cusrtime','V','Chld.Usr-CPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',13,'systime','V','Sys-CPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',14,'csystime','V','Chld.Sys-CPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',15,'pri','V','Priority','');
INSERT INTO TabX VALUES ('dim_psSTAT',16,'vsz','V','Virt.Size(KB)','');
INSERT INTO TabX VALUES ('dim_psSTAT',17,'rss','V','Res.Size(KB)','');
INSERT INTO TabX VALUES ('dim_psSTAT',18,'psz','V','Priv.Size(KB)','');
INSERT INTO TabX VALUES ('dim_psSTAT',19,'sysc','V','SysCalls','');
INSERT INTO TabX VALUES ('dim_psSTAT',20,'traptime','V','TRAP time','');
INSERT INTO TabX VALUES ('dim_psSTAT',21,'tftime','V','TxtPageFlt time','');
INSERT INTO TabX VALUES ('dim_psSTAT',22,'dftime','V','DatPageFlt time','');
INSERT INTO TabX VALUES ('dim_psSTAT',23,'ultime','V','UserLock time','');
INSERT INTO TabX VALUES ('dim_psSTAT',24,'etctime','V','OtherSleep time','');
INSERT INTO TabX VALUES ('dim_psSTAT',25,'wcputime','V','WaitCPU time','');
INSERT INTO TabX VALUES ('dim_psSTAT',26,'stoptime','V','STOP time','');
INSERT INTO TabX VALUES ('dim_psSTAT',27,'inblk','V','Input Blocks','');
INSERT INTO TabX VALUES ('dim_psSTAT',28,'outblk','V','Output Blocks','');
INSERT INTO TabX VALUES ('dim_psSTAT',29,'sigs','V','Signals','');
INSERT INTO TabX VALUES ('dim_psSTAT',30,'vctx','V','VolContexSW','');
INSERT INTO TabX VALUES ('dim_psSTAT',31,'ictx','V','InvolContexSW','');

--
-- Table `TabX_note`
--

DROP TABLE IF EXISTS TabX_note;
CREATE TABLE TabX_note (
  tabname varchar(40) NOT NULL,
  note varchar(128) NOT NULL,
  UNIQUE KEY TabX_note_idx (tabname)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `TabX_note`
--

INSERT INTO TabX_note VALUES ('dim_IOSTAT','Solaris I/O Disk Activity Statistics (iostat)');
INSERT INTO TabX_note VALUES ('dim_MPSTAT','Solaris per CPU Statistics, Mutex spins, Cross calls, etc. (mpstat)');
INSERT INTO TabX_note VALUES ('dim_VMSTAT','Solaris CPU, Run queue, Memory Usage Statistics, etc. (vmstat)');
INSERT INTO TabX_note VALUES ('dim_VXSTAT','VxVM Volumes Statistics (vxstat)');
INSERT INTO TabX_note VALUES ('dim_NETSTAT','Solaris Simple NET Statistics (netstat)');
INSERT INTO TabX_note VALUES ('dim_psSTAT','Solaris per Process/User Activity Statistics (detailed)');

--
-- Table `dim_Alert`
--

DROP TABLE IF EXISTS dim_Alert;
CREATE TABLE dim_Alert (
  ID int NOT NULL,
  `Name` varchar(24) NOT NULL,
  Info varchar(64) NOT NULL,
  Freq int NOT NULL,
  dt_next int NOT NULL,
  Cond_Expr text NOT NULL,
  UNIQUE KEY dim_Alert_ID (ID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `dim_Alert` | demo..
--

INSERT INTO dim_Alert VALUES (1,'CPU Add','Add CPU on Hot Server',300,0,'Idle < 20 && NCPU < 40');
INSERT INTO dim_Alert VALUES (2,'CPU Remove','Remove CPU from Cool Server',300,0,'Idle > 80 && NCPU > 16');

--
-- Table `dim_Alert_Actions`
--

DROP TABLE IF EXISTS dim_Alert_Actions;
CREATE TABLE dim_Alert_Actions (
  ID int NOT NULL,
  `Type` varchar(24) NOT NULL,
  `Action` text NOT NULL,
  KEY dim_Alert_Actions_ID (ID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `dim_Alert_Actions` | demo..
--

INSERT INTO dim_Alert_Actions VALUES (1,'PRINT','Add CPU on server: %h ');
INSERT INTO dim_Alert_Actions VALUES (1,'LOG','Add CPU on server: %h ');
INSERT INTO dim_Alert_Actions VALUES (1,'EXEC','/opt/ADR/bin/AddBoard.sh %h ');
INSERT INTO dim_Alert_Actions VALUES (2,'PRINT','Remove CPU from server: %h ');
INSERT INTO dim_Alert_Actions VALUES (2,'LOG','Remove CPU from server: %h ');
INSERT INTO dim_Alert_Actions VALUES (2,'EXEC','/opt/ADR/bin/DelBoard.sh %h ');

--
-- Table `dim_Alert_Hosts`
--

DROP TABLE IF EXISTS dim_Alert_Hosts;
CREATE TABLE dim_Alert_Hosts (
  ID int NOT NULL,
  StatID int NOT NULL,
  UNIQUE KEY dim_Alert_Hosts_ID (ID,StatID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `dim_Alert_Hosts`
--

INSERT INTO dim_Alert_Hosts VALUES (1,6);
INSERT INTO dim_Alert_Hosts VALUES (1,7);
INSERT INTO dim_Alert_Hosts VALUES (2,6);
INSERT INTO dim_Alert_Hosts VALUES (2,7);

--
-- Table `dim_Alert_Vars`
--

DROP TABLE IF EXISTS dim_Alert_Vars;
CREATE TABLE dim_Alert_Vars (
  ID int NOT NULL,
  `Name` varchar(24) NOT NULL,
  Var1 varchar(24) NOT NULL,
  Tabname varchar(24) NOT NULL,
  AgrCMD varchar(12) NOT NULL,
  TMback int NOT NULL,
  Var2 varchar(24) NOT NULL,
  Patt varchar(128) NOT NULL,
  UNIQUE KEY dim_Alert_Vars_ID (ID,`Name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Data `dim_Alert_Vars`
--

INSERT INTO dim_Alert_Vars VALUES (1,'Idle','idle','dim_VMSTAT','AVG',120,'','');
INSERT INTO dim_Alert_Vars VALUES (1,'NCPU','#','dim_MPSTAT','MAX@AVG',600,'','');
INSERT INTO dim_Alert_Vars VALUES (2,'Idle','idle','dim_VMSTAT','AVG',600,'','');
INSERT INTO dim_Alert_Vars VALUES (2,'NCPU','#','dim_MPSTAT','MIN@AVG',600,'','');

--
-- Table `dim_Bookmarks`
--

DROP TABLE IF EXISTS dim_Bookmarks;
CREATE TABLE dim_Bookmarks (
  `name` varchar(32) NOT NULL,
  fullname varchar(64) NOT NULL,
  tabname varchar(40) NOT NULL,
  params text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_ERR`
--

DROP TABLE IF EXISTS dim_ERR;
CREATE TABLE dim_ERR (
  ID int NOT NULL,
  Sno int NOT NULL,
  dt_stamp int NOT NULL,
  Message varchar(200) NOT NULL,
  KEY dim_ERR_ID ( ID,dt_stamp,Sno )
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_LOG`
--

DROP TABLE IF EXISTS dim_LOG;
CREATE TABLE dim_LOG (
  ID int NOT NULL,
  Sno int NOT NULL,
  dt_stamp int NOT NULL,
  Message varchar(80) NOT NULL,
  KEY dim_LOG_ID (ID,dt_stamp,Sno)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_SysINFO`
--

DROP TABLE IF EXISTS dim_SysINFO;
CREATE TABLE dim_SysINFO (
  ID int NOT NULL,
  dt_stamp int NOT NULL,
  fname varchar(200) NOT NULL,
  KEY dim_SysINFO_ID (ID,dt_stamp)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_STAT`
--

DROP TABLE IF EXISTS dim_STAT;
CREATE TABLE dim_STAT (
  ID int NOT NULL,
  Title varchar(60) NOT NULL,
  dt_start int NOT NULL,
  Timeout int NOT NULL,
  State int NOT NULL,
  `Host` varchar(20) NOT NULL,
  UNIQUE KEY dim_STAT_ID (ID)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_TASK`
--

DROP TABLE IF EXISTS dim_TASK;
CREATE TABLE dim_TASK (
  ID int NOT NULL,
  dt_begin int NOT NULL,
  dt_end int NOT NULL,
  `Name` varchar(40) NOT NULL,
  KEY dim_TASK_ID (ID,dt_begin,dt_end)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_anySTAT`
--

DROP TABLE IF EXISTS dim_anySTAT;
CREATE TABLE dim_anySTAT (
  statname varchar(16) NOT NULL,
  multi int NOT NULL,
  useinpll int NOT NULL,
  sep_patt varchar(48) NOT NULL,
  ignore_patt varchar(48) NOT NULL,
  shell_cmd varchar(64) NOT NULL,
  UNIQUE KEY dim_anySTAT_tab (statname)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_anySTAT_cols`
--

DROP TABLE IF EXISTS dim_anySTAT_cols;
CREATE TABLE dim_anySTAT_cols (
  statname varchar(16) NOT NULL,
  colname varchar(16) NOT NULL,
  dtype int NOT NULL,
  linepos int NOT NULL,
  useinpll int NOT NULL,
  UNIQUE KEY dim_anySTAT_coltab (statname,colname)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table `dim_VMSTAT`
--

DROP TABLE IF EXISTS dim_VMSTAT;
CREATE TABLE dim_VMSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  r int NOT NULL,
  b int NOT NULL,
  w int NOT NULL,
  swap int NOT NULL,
  free int NOT NULL,
  re int NOT NULL,
  mf int NOT NULL,
  pin int NOT NULL,
  pout int NOT NULL,
  fr int NOT NULL,
  de int NOT NULL,
  sr int NOT NULL,
  intr int NOT NULL,
  sy int NOT NULL,
  cs int NOT NULL,
  usr int NOT NULL,
  sys int NOT NULL,
  idle int NOT NULL,
  KEY dim_VMSTAT_ID_Sno (ID,Sno)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;

--
-- Table `dim_IOSTAT`
--

DROP TABLE IF EXISTS dim_IOSTAT;
CREATE TABLE dim_IOSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  `Disk` varchar(64) NOT NULL,
  RS float(24,5) NOT NULL,
  WS float(24,5) NOT NULL,
  KRS float(24,5) NOT NULL,
  KWS float(24,5) NOT NULL,
  `Wait` float(24,5) NOT NULL,
  Actv float(24,5) NOT NULL,
  Svc_t float(24,5) NOT NULL,
  W int NOT NULL,
  B int NOT NULL,
  KEY dim_IOSTAT_ID_Sno (ID,Sno,`Disk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;

--
-- Table `dim_MPSTAT`
--

DROP TABLE IF EXISTS dim_MPSTAT;
CREATE TABLE dim_MPSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  `CPU` int NOT NULL,
  Min_fault int NOT NULL,
  Maj_fault int NOT NULL,
  Xcal int NOT NULL,
  Intr int NOT NULL,
  Ithr int NOT NULL,
  Csw int NOT NULL,
  Icsw int NOT NULL,
  Migr int NOT NULL,
  Spin_mtx int NOT NULL,
  Spin_rw int NOT NULL,
  Sys_calls int NOT NULL,
  Usr int NOT NULL,
  Sys int NOT NULL,
  `Wait` int NOT NULL,
  Idle int NOT NULL,
  KEY dim_MPSTAT_ID_Sno (ID,Sno,`CPU`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;

--
-- Table `dim_NETSTAT`
--

DROP TABLE IF EXISTS dim_NETSTAT;
CREATE TABLE dim_NETSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  in_pack float(24,5) NOT NULL,
  in_err float(24,5) NOT NULL,
  out_pack float(24,5) NOT NULL,
  out_err float(24,5) NOT NULL,
  colls float(24,5) NOT NULL,
  KEY dim_NETSTAT_ID_Sno (ID,Sno)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;

--
-- Table `dim_VXSTAT`
--

DROP TABLE IF EXISTS dim_VXSTAT;
CREATE TABLE dim_VXSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  Vol varchar(64) NOT NULL,
  R_OP float(24,5) NOT NULL,
  W_OP float(24,5) NOT NULL,
  R_BLK float(24,5) NOT NULL,
  W_BLK float(24,5) NOT NULL,
  R_AVG float(24,5) NOT NULL,
  W_AVG float(24,5) NOT NULL,
  KEY dim_VXSTAT_ID_Sno (ID,Sno,Vol)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;

--
-- Table `dim_psSTAT`
--

DROP TABLE IF EXISTS dim_psSTAT;
CREATE TABLE dim_psSTAT (
  ID int NOT NULL,
  Sno int NOT NULL,
  pid int NOT NULL,
  ppid int NOT NULL,
  puser varchar(16) NOT NULL,
  fname varchar(20) NOT NULL,
  pname varchar(20) NOT NULL,
  pcpu float(24,5) NOT NULL,
  pmem int NOT NULL,
  `time` int NOT NULL,
  usrtime float(24,5) NOT NULL,
  cusrtime float(24,5) NOT NULL,
  systime float(24,5) NOT NULL,
  csystime float(24,5) NOT NULL,
  pri int NOT NULL,
  vsz int NOT NULL,
  rss int NOT NULL,
  psz int NOT NULL,
  psr int NOT NULL,
  sysc int NOT NULL,
  traptime float(24,5) NOT NULL,
  tftime float(24,5) NOT NULL,
  dftime float(24,5) NOT NULL,
  ultime float(24,5) NOT NULL,
  etctime float(24,5) NOT NULL,
  wcputime float(24,5) NOT NULL,
  stoptime float(24,5) NOT NULL,
  inblk int NOT NULL,
  outblk int NOT NULL,
  sigs int NOT NULL,
  vctx int NOT NULL,
  ictx int NOT NULL,
  KEY dim_psSTAT_ID_Sno (ID,Sno,puser,pname,fname,pid)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 MAX_ROWS=4000000000;
